body {
  margin: 0;
  padding: 0;
}

* {
  font-family: Pretendard, -apple-system, BlinkMacSystemFont, "Segoe UI",
    "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans",
    "Helvetica Neue", sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  box-sizing: border-box;
  margin: 0px;
  padding: 0px;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
    monospace;
}

button,
a {
  cursor: pointer;
}

button {
  border: none;
  background-color: #ffffff00;
}

ul,
ol {
  list-style: none;
}

a {
  text-decoration: none;
}

.Vue-Toastification__toast {
  min-width: unset !important;
  min-height: unset !important;
  padding: 7px 20px !important;
  justify-content: center;
  align-items: center;
  gap: 6px;
  border-radius: 999px !important;
  background: rgba(25, 31, 40, 0.85) !important;
}

.Vue-Toastification__toast-body {
  text-align: center;
  color: #fff;
  text-align: center;
  font-family: Pretendard;
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: 160%;
  letter-spacing: -0.6px;
}

/* 애니메이션 */
.slide-in {
  animation: slideInFromBottom 1s ease;
}

@keyframes slideInFromBottom {
  0% {
    transform: translateY(100%);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

.up-and-down {
  animation: upAndDown 1.5s ease-in-out infinite alternate;
}

.up-and-down2 {
  animation: upAndDown 2s ease-in-out infinite alternate;
}

.up-and-down3 {
  animation: upAndDown 1.8s ease-in-out infinite alternate;
}

.up-and-down4 {
  animation: upAndDown 2.2s ease-in-out infinite alternate;
}

@keyframes upAndDown {
  0% {
    transform: translateY(-3%);
  }
  100% {
    transform: translateY(0);
  }
}
